# Effect Class Reference

### [com.trolltech.qt.phonon package]

Inherits QObject.

### Constructor

- void Effect(EffectDescription description, QObject parent)

### Constructor Properties

- prototype: The Effect prototype object

### Prototype Object Properties

The Effect prototype object inherits properties from the QObject prototype object and also has the following properties.

- EffectDescription description()
- Object parameterValue(EffectParameter arg__1)
- List parameters()
- void setParameterValue(EffectParameter arg__1, Object value)

### Instance Properties

Effect objects have no special properties beyond those inherited from the Effect prototype object.